summaryrefslogtreecommitdiffstats
path: root/main/collectd/collectd.initd
diff options
context:
space:
mode:
Diffstat (limited to 'main/collectd/collectd.initd')
-rw-r--r--main/collectd/collectd.initd20
1 files changed, 20 insertions, 0 deletions
diff --git a/main/collectd/collectd.initd b/main/collectd/collectd.initd
new file mode 100644
index 00000000000..de5705a0322
--- /dev/null
+++ b/main/collectd/collectd.initd
@@ -0,0 +1,20 @@
+#!/sbin/runscript
+
+DAEMON=/usr/sbin/collectd
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting collectd"
+ start-stop-daemon --start --exec $DAEMON -- $collectd_options
+ eend $?
+}
+
+stop () {
+ ebegin "Stopping collectd"
+ start-stop-daemon --stop --exec $DAEMON
+ eend $?
+}
+